package com.ym.library.module;

/**
 * @author (wangXuewei)
 * @datetime 2020-10-09 22:26 GMT+8
 * @detail :
 */
public class HomeInfoEntity {

    /**
     * coins : 8652
     * ore : 0
     * cents : 10097
     * subClockNum : 10
     * cloudSecond : -2
     */

    private int coins;
    private int ore;
    private int cents;
    private int subClockNum;
    private int cloudSecond;
    private int cloudNum;
    private int boxNum;
    private int acceleratorsNum;
    private String imgUrl;
    private int plantBoxNum;
    private int currentClockNum;//当前打卡数量
    private int maxClockNum;//所需打卡数量
    private int subAcceleratorsVideoNum;//看加速剂不足视频剩余次数
    private int subSeedVideoNum;//看种子不足视频剩余次数
    private int acceleratorsVideoNum;//看视频给加速剂的个数
    private int lotteryNum;//转盘剩余次数

    public int getLotteryNum() {
        return lotteryNum;
    }

    public void setLotteryNum(int lotteryNum) {
        this.lotteryNum = lotteryNum;
    }

    public int getAcceleratorsVideoNum() {
        return acceleratorsVideoNum;
    }

    public void setAcceleratorsVideoNum(int acceleratorsVideoNum) {
        this.acceleratorsVideoNum = acceleratorsVideoNum;
    }

    public int getSubAcceleratorsVideoNum() {
        return subAcceleratorsVideoNum;
    }

    public void setSubAcceleratorsVideoNum(int subAcceleratorsVideoNum) {
        this.subAcceleratorsVideoNum = subAcceleratorsVideoNum;
    }

    public int getSubSeedVideoNum() {
        return subSeedVideoNum;
    }

    public void setSubSeedVideoNum(int subSeedVideoNum) {
        this.subSeedVideoNum = subSeedVideoNum;
    }

    public int getCurrentClockNum() {
        return currentClockNum;
    }

    public void setCurrentClockNum(int currentClockNum) {
        this.currentClockNum = currentClockNum;
    }

    public int getMaxClockNum() {
        return maxClockNum;
    }

    public void setMaxClockNum(int maxClockNum) {
        this.maxClockNum = maxClockNum;
    }

    public int getPlantBoxNum() {
        return plantBoxNum;
    }

    public void setPlantBoxNum(int plantBoxNum) {
        this.plantBoxNum = plantBoxNum;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public int getBoxNum() {
        return boxNum;
    }

    public void setBoxNum(int boxNum) {
        this.boxNum = boxNum;
    }

    public int getAcceleratorsNum() {
        return acceleratorsNum;
    }

    public void setAcceleratorsNum(int acceleratorsNum) {
        this.acceleratorsNum = acceleratorsNum;
    }

    public int getCoins() {
        return coins;
    }

    public void setCoins(int coins) {
        this.coins = coins;
    }

    public int getOre() {
        return ore;
    }

    public void setOre(int ore) {
        this.ore = ore;
    }

    public int getCents() {
        return cents;
    }

    public void setCents(int cents) {
        this.cents = cents;
    }

    public int getSubClockNum() {
        return subClockNum;
    }

    public void setSubClockNum(int subClockNum) {
        this.subClockNum = subClockNum;
    }

    public int getCloudSecond() {
        return cloudSecond;
    }

    public void setCloudSecond(int cloudSecond) {
        this.cloudSecond = cloudSecond;
    }

    public int getCloudNum() {
        return cloudNum;
    }

    public void setCloudNum(int cloudNum) {
        this.cloudNum = cloudNum;
    }
}
